<?php
/**
 * Plugin Name:       Alphabetical Post Order
 * Plugin URI:        https://joseph-dickson.com/jd-sort-posts-alphabetically
 * Description:       Reorder posts alphabetically by its title. Useful for documentation websites where ordering by date is not desired
 * Version:           1.0.0
 * Author:            Joseph Dickson
 * Author URI:        https://joseph-dickson.com/
 * License:           GPL v2 or later
 * License URI:       https://www.gnu.org/licenses/gpl-2.0.html
 */

/*
 * Prevent direct access to PHP file
 */
defined( 'ABSPATH' ) or die( 'No script kiddies please!' );

/*
 * Order post archives by title in descending order
 */
add_action( 'pre_get_posts', 'jd_archive_sort_alpha_title'); 

function jd_archive_sort_alpha_title($query){

	if(is_archive()) {

		// Set the order to ascending order
		$query->set( 'order', 'ASC' );

		// set the orderby to title
		$query->set( 'orderby', 'title' );

		echo 'test';

	}

};
